Export all elements matching the given filters as an ArchiMate XML file.
Export all elements matching the given filters as an ArchiMate XML file. Exports the architecture elements matching the given filters - the same filters pagination and publish use - and their relationships as an ArchiMate-XML file, instead of an explicit list of element IDs.
Security: Manager or Designer of the process space.
POST
/v1/warehouses/{warehouseId}/archimate/exportFilteredAutorisierung
AuthorizationBearer-Token (JWT) · headererforderlichBpmLicenseAPI-Schlüssel · headererforderlichPfadparameter
warehouseIdstringerforderlichID of warehouse
Query-Parameter
xmlOnlybooleanIf true, yields the plain ArchiMate document instead of the ZIP
Request-Body
erforderlichapplication/jsonCriteria the exported elements have to match. sortBy/order have no effect - an export has no page order
conceptualClassModeListModeErlaubt:
BlacklistWhitelistconceptualClassesArchitectureElementType[]createdAfterstring<date-time>createdBeforestring<date-time>elementIdsToIgnorestring[]filterstringfilterByArchitectureFilterErlaubt:
createdelementIdidlayermodifiednameidsToIgnorestring[]includeDeactivatedbooleanincludeInvalidbooleanincludeRelationshipsbooleanlayerModeListModeErlaubt:
BlacklistWhitelistlayersArchitectureElementLayer[]manifestModeListModeErlaubt:
BlacklistWhitelistonlyOwnedbooleanorderArchitectureSortingOrder[]publicationStatusPublicationStatusErlaubt:
DraftPublishedrelationshipTypesArchitectureRelationshipType[]sortByArchitectureSorting[]Antworten
200
The exported ZIP, or the plain ArchiMate-XML file when xmlOnly=true
403
Forbidden: insufficient permissions
string404
Warehouse not found
string